Name:           nifticlib
Version:        2.0.0
Release:        11%{?dist}
Summary:        A set of i/o libraries for reading and writing files in the nifti-1 data format

License:        Public Domain
URL:            http://niftilib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/niftilib/%{name}-%{version}.tar.gz

BuildRequires:  zlib-devel doxygen cmake

%description
Nifticlib is a set of C i/o libraries for reading and writing files in
the nifti-1 data format. nifti-1 is a binary file format for storing
medical image data, e.g. magnetic resonance image (MRI) and functional
MRI (fMRI) brain images.

%package devel
Summary: Libraries and header files for nifticlib development
Requires: %{name} = %{version}-%{release}

%description devel
The nifticlib-devel package contains the header files and libraries
necessary for developing programs that make use of the nifticlib library.

%package docs
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}

%description docs
The package contains documentation and example files for %{name}.

%prep
%setup -q
sed -i "s|csh|$SHELL|" Makefile

%build
# make the doc
make doc %{?_smp_mflags}

# cmake replaces the original makefile so I call it after generating my docs
%cmake -DBUILD_SHARED_LIBS=ON .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## hack to get this to work for x86_64
%if "%{_lib}" == "lib64" 
    install -p -d $RPM_BUILD_ROOT/%{_libdir}/
    mv -v $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT/%{_libdir}/
    rm -rvf $RPM_BUILD_ROOT/usr/lib/
%endif

# remove extra files
rm -fv docs/html/installdox
rm -fv docs/html/Doxy*

%files
%doc README LICENSE Updates.txt
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_includedir}/nifti/

%files docs
%doc examples
%doc docs

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Dec 04 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 2.0.0-8
- Fix docs
- https://bugzilla.redhat.com/show_bug.cgi?id=1001274

* Fri Oct 11 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 2.0.0-7
- https://bugzilla.redhat.com/show_bug.cgi?id=1001238

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 2.0.0-3
- spec bump for gcc 4.7 rebuild

* Tue Jul 26 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 2.0.0-2
- Correct source URL

* Fri Jun 17 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 2.0.0-1
- initial rpm build
- based on the spec built by Andy Loening <loening at alum dot mit dot edu> in the source tar
